Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# msDexiExporter.cpp File Reference

`#include "msDexiExporter.hpp"`
`#include "tinyxml/tinyxml.h"`
`#include "msLib/msLib.h"`
`#include <windows.h>`
`#include <commdlg.h>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <cstring>`
`#include <cmath>`
`#include <algorithm>`
`#include <deque>`
`#include <vector>`
`#include <map>`
`#include <set>`
`#include <string>`

Include dependency graph for msDexiExporter.cpp:

## Compounds
struct | fullvertex
struct | vector3
## Defines
#define | WIN32_LEAN_AND_MEAN
## Typedefs
typedef std::deque< vector3 > | vectorList_t
typedef std::deque< fullvertex > | vertexList_t
typedef std::deque< int > | intList_t
typedef std::set< std::string > | stringSet_t
typedef std::map< int, std::deque< int > > | int2IntVecMap_t
typedef std::map< std::pair< int, int >, int > | intPair2IntMap_t
## Functions
BOOL APIENTRY | DllMain (HANDLE hModule, DWORD ul_reason_for_call, LPVOID lpReserved)
cMsPlugIn * | CreatePlugIn ()
void | consoleOut (const char *format,...)
void | setFloat (TiXmlElement *pElem, const char *name, double val)
void | addColorElem (TiXmlElement *parentElem, float r, float g, float b, float *a=NULL)
void | addPosElem (TiXmlElement *parentElem, float x, float y, float z)
void | addNormalElem (TiXmlElement *parentElem, float nx, float ny, float nz)
void | addTexCoordElem (TiXmlElement *parentElem, float u, float *v=NULL, float *w=NULL)
void | addRotationFromEuler (TiXmlElement *parentElem, float fPitch, float fYaw, float fRoll)
## Variables
HINSTANCE | s_DllInstance = 0
HANDLE | StdOut = 0
bool | consoleActive = false
const double | fuzzVal = 0.00001

## Define Documentation

#define WIN32_LEAN_AND_MEAN

## Typedef Documentation

typedef std::map< int, std::deque<int> > int2IntVecMap_t

typedef std::deque<int> intList_t

typedef std::map< std::pair<int,int>, int> intPair2IntMap_t

typedef std::set<std::string> stringSet_t

typedef std::deque<vector3> vectorList_t

typedef std::deque<fullvertex> vertexList_t

## Function Documentation

void addColorElem | ( | TiXmlElement * | parentElem,
|  | float | r,
|  | float | g,
|  | float | b,
|  | float * | a = NULL
| ) | `[static]`

void addNormalElem | ( | TiXmlElement * | parentElem,
|  | float | nx,
|  | float | ny,
|  | float | nz
| ) | `[static]`

void addPosElem | ( | TiXmlElement * | parentElem,
|  | float | x,
|  | float | y,
|  | float | z
| ) | `[static]`

void addRotationFromEuler | ( | TiXmlElement * | parentElem,
|  | float | fPitch,
|  | float | fYaw,
|  | float | fRoll
| ) | `[static]`

void addTexCoordElem | ( | TiXmlElement * | parentElem,
|  | float | u,
|  | float * | v = NULL,
|  | float * | w = NULL
| ) | `[static]`

void consoleOut | ( | const char * | format,
|  | ... |
| ) | `[static]`

cMsPlugIn* CreatePlugIn | ( |  | ) |

BOOL APIENTRY DllMain | ( | HANDLE | hModule,
|  | DWORD | ul_reason_for_call,
|  | LPVOID | lpReserved
| ) |

void setFloat | ( | TiXmlElement * | pElem,
|  | const char * | name,
|  | double | val
| ) | `[static]`

## Variable Documentation

bool consoleActive = false`[static]`

const double fuzzVal = 0.00001

HINSTANCE s_DllInstance = 0`[static]`

HANDLE StdOut = 0`[static]`